

struct SimpleImage: HtmlProducer {

    let imagePath: String

    let altText: String

    func populate(_ result: inout String) {
        result += "<div class='content-image svg-image'>"
        result += "<img src='\(imagePath)' loading='lazy' alt='\(altText)'/>"
        result += "</div>"
    }
}
